"use client";

import EnrollView from "@/components/EnrollView";
import ModifyAvatarView from "@/components/ModifyAvatarView";
import { useTaehuiStore } from "@/state/Stores";
import { observer } from "mobx-react-lite";

export default observer(() => {
  const { totem } = useTaehuiStore();

  return totem ? <ModifyAvatarView /> : <EnrollView />;
});
